summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorspikecodes2020-10-18 11:30:22 -0700
committerspikecodes2020-10-18 11:30:22 -0700
commitbae9d35d22569d8c3b8d1c5f2f134c56ff29cce0 (patch)
tree98d90a31e5be76b3eba416a6348f8c05822091a7
downloadaur-bae9d35d22569d8c3b8d1c5f2f134c56ff29cce0.tar.gz
Rename to feroxbuster-git
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD31
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d469be21845
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = feroxbuster-git
+ pkgdesc = A fast, simple, recursive content discovery tool written in Rust.
+ pkgver = 1.0.5
+ pkgrel = 1
+ url = https://github.com/epi052/feroxbuster
+ arch = any
+ license = MIT
+ makedepends = git
+ makedepends = cargo
+ provides = feroxbuster
+ conflicts = feroxbuster
+ source = feroxbuster::git+https://github.com/epi052/feroxbuster
+ sha256sums = SKIP
+
+pkgname = feroxbuster-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..12d669fdd5d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: spikecodes <19519553+spikecodes@users.noreply.github.com>
+pkgname=feroxbuster-git
+_pkgname=${pkgname%-git}
+pkgver=1.0.5
+pkgrel=1
+pkgdesc="A fast, simple, recursive content discovery tool written in Rust. "
+arch=('any')
+url="https://github.com/epi052/feroxbuster"
+license=("MIT")
+makedepends=("git" "cargo")
+provides=(${_pkgname})
+conflicts=(${_pkgname})
+source=("${_pkgname}::git+${url}")
+sha256sums=("SKIP")
+
+pkgver() {
+ cd "${_pkgname}"
+ ( set -o pipefail
+ printf "$(git describe --tags | awk -F- '{print $1}' | cut -c2-)"
+ )
+}
+
+build() {
+ cd "${_pkgname}"
+ cargo build --release
+}
+
+package() {
+ install -Dm644 "${_pkgname}/LICENSE" "$pkgdir/usr/share/licenses/${_pkgname}/LICENSE"
+ install -Dm755 "${_pkgname}/target/release/${_pkgname}" "${pkgdir}/usr/bin/${_pkgname}"
+}